
#language: ru

@pricing

Функционал: 013. Pricing. Отчет по скидкам

Сценарий: 013.1. Pricing. Ценообразование. Создание отчета, проверка скидок Ашана по соглашению, проверка отсутствия скидок у Перекрестка и Пятерочки, проверка скидок у Обычного покупателя
	
	Дано Я подключаюсь под "Ценообразование"
	Дано я устанавливаю текущему сеансу заголовок приложения "01.013. Цены"
	И В командном интерфейсе я выбираю 'Заказы' 'Отчеты'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И я нажимаю на гиперссылку "Цены клиентов"
	Тогда открылось окно 'Цены клиентов'
	* Ашан 02.09.2019
		Дано Я в отчете устанавливаю период дату "02.09.2019"
		И из выпадающего списка "Контрагент" я выбираю по строке 'Ашан'
		И я нажимаю на кнопку с именем 'СформироватьОтчет'
		И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R9C4" в течение 20 секунд
		Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Цены клиента Ашан"
	* Перекресток 02.09.2019
		И из выпадающего списка "Контрагент" я выбираю по строке 'Перекресток'
		И я нажимаю на кнопку с именем 'СформироватьОтчет'
		И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R9C4" в течение 20 секунд
		Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Цены клиента Перекресток"
	* 5ка 02.09.2019
		И из выпадающего списка "Контрагент" я выбираю по строке '5ка'
		И я нажимаю на кнопку с именем 'СформироватьОтчет'
		И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R9C4" в течение 20 секунд
		Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Цены клиента 5ка"
	* Обычный покупатель 15.08.2019
		И из выпадающего списка "Контрагент" я выбираю по строке 'Обычный покупатель'
		И я нажимаю на кнопку с именем 'СформироватьОтчет'
		И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R9C4" в течение 20 секунд
		Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Цены клиента Обычный покупатель"
	* Обычный покупатель 15.08.2019
		Дано Я в отчете устанавливаю период дату "15.08.2019"
		И из выпадающего списка "Контрагент" я выбираю по строке 'Обычный покупатель'
		И я нажимаю на кнопку с именем 'СформироватьОтчет'
		И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R9C4" в течение 20 секунд
		Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Цены клиента Обычный покупатель 15.08"
	* Обычный покупатель 20.08.2019
		Дано Я в отчете устанавливаю период дату "20.08.2019"
		И из выпадающего списка "Контрагент" я выбираю по строке 'Обычный покупатель'
		И я нажимаю на кнопку с именем 'СформироватьОтчет'
		И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R9C4" в течение 20 секунд
		Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Цены клиента Обычный покупатель 20.08"
	И Я закрываю окно 'Цены клиентов'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И Я закрываю окно 'Отчеты по исполнению заказов'

Сценарий: 013.2. Pricing. Завершение

	И я закрываю сеанс TESTCLIENT